<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="TrabalhoFinal:jar" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="332dd296-527d-48c3-81ea-fa4b01e58295" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/src/FrameInterface.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/FrameInterface.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="Aluno.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/Aluno.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="36">
              <caret line="7" column="27" lean-forward="true" selection-start-line="7" selection-start-column="27" selection-end-line="7" selection-end-column="27" />
              <folding>
                <element signature="method#Aluno#0;class#Aluno#0" />
                <element signature="method#calculaMedia#0;class#Aluno#0" />
                <element signature="method#fazerCadastro#0;class#Aluno#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="AlunoTest.java" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/AlunoTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="288">
              <caret line="20" column="5" selection-start-line="20" selection-start-column="5" selection-end-line="20" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="AlunoJogador.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/AlunoJogador.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="18">
              <caret line="12" column="21" selection-start-line="12" selection-start-column="21" selection-end-line="12" selection-end-column="21" />
              <folding>
                <element signature="method#toString#0;class#AlunoJogador#0" />
                <element signature="method#update#0;class#AlunoJogador#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="AlunoJogadorTest.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/AlunoJogadorTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="288">
              <caret line="24" column="26" selection-start-line="24" selection-start-column="26" selection-end-line="24" selection-end-column="26" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Professor.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/Professor.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="612">
              <caret line="56" column="29" selection-start-line="56" selection-start-column="29" selection-end-line="56" selection-end-column="29" />
              <folding>
                <element signature="method#Professor#0;class#Professor#0" />
                <element signature="method#getInstance#0;class#Professor#0" />
                <element signature="method#toString#0;class#Professor#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Gamification.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/Gamification.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="3096">
              <caret line="197" selection-start-line="197" selection-end-line="197" />
              <folding>
                <element signature="method#Gamification#0;class#Gamification#0" />
                <element signature="method#aumentaLevel#0;class#Gamification#0" />
                <element signature="method#listarAlunosJogadores#0;class#Gamification#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="GamificationTest.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/GamificationTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="54">
              <caret line="11" selection-start-line="11" selection-end-line="11" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="FrameInterface.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/FrameInterface.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="432">
              <caret line="168" column="38" selection-start-line="168" selection-start-column="38" selection-end-line="168" selection-end-column="38" />
              <folding>
                <element signature="method#FrameInterface#0;class#FrameInterface#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="ProfName.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/ProfName.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="54">
              <caret line="9" column="5" selection-start-line="9" selection-start-column="5" selection-end-line="9" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="PlayerInterface.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/PlayerInterface.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="234">
              <caret line="21" column="7" lean-forward="true" selection-start-line="21" selection-start-column="7" selection-end-line="21" selection-end-column="7" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="JUnit4 Test Class" />
        <option value="JavaFXApplication" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/ContaSalario.java" />
        <option value="$PROJECT_DIR$/src/Pessoa.java" />
        <option value="$PROJECT_DIR$/src/Funcionario.java" />
        <option value="$PROJECT_DIR$/src/Registrar.java" />
        <option value="$PROJECT_DIR$/src/Principal.java" />
        <option value="$PROJECT_DIR$/src/Professor.java" />
        <option value="$PROJECT_DIR$/notaAlunos.txt" />
        <option value="$PROJECT_DIR$/src/Aluno.java" />
        <option value="$PROJECT_DIR$/src/AlunoTest.java" />
        <option value="$PROJECT_DIR$/src/AlunoJogador.java" />
        <option value="$PROJECT_DIR$/src/AlunoJogadorTest.java" />
        <option value="$PROJECT_DIR$/src/Gamification.java" />
        <option value="$PROJECT_DIR$/src/GamificationTest.java" />
        <option value="$PROJECT_DIR$/src/ProfName.java" />
        <option value="$PROJECT_DIR$/src/PlayerInterface.java" />
        <option value="$PROJECT_DIR$/src/FrameInterface.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="683" />
    <option name="y" value="24" />
    <option name="width" value="683" />
    <option name="height" value="744" />
  </component>
  <component name="ProjectInspectionProfilesVisibleTreeState">
    <entry key="Project Default">
      <profile-state>
        <expanded-state>
          <State>
            <id />
          </State>
          <State>
            <id>Java</id>
          </State>
          <State>
            <id>Spelling</id>
          </State>
        </expanded-state>
        <selected-state>
          <State>
            <id>Spelling</id>
          </State>
        </selected-state>
      </profile-state>
    </entry>
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="TrabalhoFinal" type="b2602c69:ProjectViewProjectNode" />
              <item name="TrabalhoFinal" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="TrabalhoFinal" type="b2602c69:ProjectViewProjectNode" />
              <item name="TrabalhoFinal" type="462c0819:PsiDirectoryNode" />
              <item name="out" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="TrabalhoFinal" type="b2602c69:ProjectViewProjectNode" />
              <item name="TrabalhoFinal" type="462c0819:PsiDirectoryNode" />
              <item name="out" type="462c0819:PsiDirectoryNode" />
              <item name="artifacts" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="TrabalhoFinal" type="b2602c69:ProjectViewProjectNode" />
              <item name="TrabalhoFinal" type="462c0819:PsiDirectoryNode" />
              <item name="out" type="462c0819:PsiDirectoryNode" />
              <item name="artifacts" type="462c0819:PsiDirectoryNode" />
              <item name="TrabalhoFinal_jar" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="AndroidView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrary" value="JUnit4" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.JUnit4" value="" />
    <property name="create.test.in.the.same.root" value="true" />
    <property name="project.structure.last.edited" value="Artifacts" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="copyright" />
  </component>
  <component name="RecentsManager">
    <key name="CreateTestDialog.RecentsKey">
      <recent name="" />
    </key>
    <key name="CreateTestDialog.Recents.Supers">
      <recent name="" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.AlunoTest">
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
    </configuration>
    <configuration name="FrameInterface" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="FrameInterface" />
      <module name="TrabalhoFinal" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
    </configuration>
    <configuration name="AlunoJogadorTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="TrabalhoFinal" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="AlunoJogadorTest" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration name="AlunoTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="TrabalhoFinal" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="AlunoTest" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration name="AlunoTest.calculaMedia" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="TrabalhoFinal" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="AlunoTest" />
      <option name="METHOD_NAME" value="calculaMedia" />
      <option name="TEST_OBJECT" value="method" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration name="GamificationTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="TrabalhoFinal" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="GamificationTest" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <properties />
      <listeners />
    </configuration>
    <list>
      <item itemvalue="Application.FrameInterface" />
      <item itemvalue="JUnit.AlunoTest.calculaMedia" />
      <item itemvalue="JUnit.AlunoJogadorTest" />
      <item itemvalue="JUnit.GamificationTest" />
      <item itemvalue="JUnit.AlunoTest" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.AlunoTest" />
        <item itemvalue="Application.FrameInterface" />
        <item itemvalue="JUnit.GamificationTest" />
        <item itemvalue="JUnit.AlunoJogadorTest" />
        <item itemvalue="JUnit.AlunoTest.calculaMedia" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="332dd296-527d-48c3-81ea-fa4b01e58295" name="Default" comment="" />
      <created>1526683709748</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1526683709748</updated>
      <workItem from="1526943979580" duration="235000" />
      <workItem from="1528578017087" duration="2721000" />
      <workItem from="1528600547563" duration="4677000" />
      <workItem from="1528640492389" duration="3320000" />
      <workItem from="1528646528010" duration="2375000" />
      <workItem from="1528667780903" duration="5734000" />
      <workItem from="1528760431203" duration="46000" />
      <workItem from="1528761851380" duration="21000" />
      <workItem from="1529018258589" duration="6871000" />
      <workItem from="1529176444877" duration="1816000" />
      <workItem from="1529201357495" duration="3198000" />
      <workItem from="1529266872687" duration="1452000" />
      <workItem from="1530062655944" duration="6503000" />
      <workItem from="1530656648293" duration="12637000" />
      <workItem from="1530913024019" duration="6448000" />
      <workItem from="1531008005166" duration="16023000" />
      <workItem from="1531165535067" duration="18508000" />
      <workItem from="1531189181019" duration="2897000" />
      <workItem from="1531242719549" duration="8163000" />
      <workItem from="1531257296200" duration="4249000" />
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="AlunoTest_calculaMedia - 2018.07.10 at 15h 19m 16s.xml">
      <configuration name="AlunoTest.calculaMedia" configurationId="JUnit" />
    </history-entry>
    <history-entry file="AlunoJogadorTest - 2018.07.10 at 15h 35m 14s.xml">
      <configuration name="AlunoJogadorTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="AlunoJogadorTest - 2018.07.10 at 16h 09m 10s.xml">
      <configuration name="AlunoJogadorTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="GamificationTest - 2018.07.10 at 16h 09m 17s.xml">
      <configuration name="GamificationTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="GamificationTest - 2018.07.10 at 16h 12m 34s.xml">
      <configuration name="GamificationTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="GamificationTest - 2018.07.10 at 16h 13m 28s.xml">
      <configuration name="GamificationTest" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="107894000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="-4" width="1366" height="772" extended-state="6" />
    <layout>
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Messages" order="0" weight="0.3298193" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
      <window_info id="Image Layers" order="2" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="bottom" id="Event Log" order="7" sideWeight="0.116398245" side_tool="true" weight="0.5391566" />
      <window_info anchor="right" id="Maven Projects" order="6" />
      <window_info anchor="bottom" id="Database Changes" order="10" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="right" id="Run" order="9" sideWeight="0.8836018" visible="true" weight="7.320644E-4" />
      <window_info anchor="bottom" id="Terminal" order="9" />
      <window_info id="Capture Tool" order="6" />
      <window_info id="Designer" order="3" />
      <window_info content_ui="combo" id="Project" order="0" weight="0.16764276" />
      <window_info anchor="right" id="Database" order="8" />
      <window_info anchor="bottom" id="Find" order="2" weight="0.32882884" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info id="UI Designer" order="4" />
      <window_info anchor="right" id="Theme Preview" order="7" />
      <window_info id="Favorites" order="5" side_tool="true" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.3990964" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="bottom" id="Message" order="1" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="3" />
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/Gamification.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="576">
          <caret line="37" column="5" lean-forward="true" selection-start-line="37" selection-start-column="5" selection-end-line="37" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ContaSalario.java" />
    <entry file="file://$PROJECT_DIR$/src/Principal.java" />
    <entry file="file://$PROJECT_DIR$/src/Pessoa.java" />
    <entry file="file://$PROJECT_DIR$/src/Aluno.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="8" column="5" selection-start-line="8" selection-start-column="5" selection-end-line="8" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/AlunoJogador.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="5" lean-forward="true" selection-start-line="5" selection-end-line="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Professor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="20" lean-forward="true" selection-start-line="20" selection-end-line="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Gamification.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="108">
          <caret line="6" column="2" lean-forward="true" selection-start-line="6" selection-start-column="2" selection-end-line="6" selection-end-column="2" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Principal.java" />
    <entry file="file://$PROJECT_DIR$/src/ContaSalario.java" />
    <entry file="file://$PROJECT_DIR$/src/Funcionario.java" />
    <entry file="file://$PROJECT_DIR$/src/Pessoa.java" />
    <entry file="file://$PROJECT_DIR$/src/Funcionario.java" />
    <entry file="file://$PROJECT_DIR$/src/Aluno.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="8" column="5" selection-start-line="8" selection-start-column="5" selection-end-line="8" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/AlunoJogador.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="252">
          <caret line="22" column="99" selection-start-line="22" selection-start-column="99" selection-end-line="22" selection-end-column="99" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Principal.java" />
    <entry file="file://$PROJECT_DIR$/src/ContaSalario.java" />
    <entry file="file://$PROJECT_DIR$/src/Professor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="162">
          <caret line="11" column="13" lean-forward="true" selection-start-line="11" selection-start-column="13" selection-end-line="11" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Pessoa.java" />
    <entry file="file://$PROJECT_DIR$/src/Funcionario.java" />
    <entry file="file://$PROJECT_DIR$/src/Aluno.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="8" column="5" selection-start-line="8" selection-start-column="5" selection-end-line="8" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/AlunoJogador.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="558">
          <caret line="39" column="35" selection-start-line="39" selection-start-column="35" selection-end-line="39" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Professor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="22" column="37" lean-forward="true" selection-start-line="22" selection-start-column="37" selection-end-line="22" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ContaSalario.java" />
    <entry file="file://$PROJECT_DIR$/src/Principal.java" />
    <entry file="file://$PROJECT_DIR$/src/Pessoa.java" />
    <entry file="file://$PROJECT_DIR$/src/Funcionario.java" />
    <entry file="file://$PROJECT_DIR$/src/Aluno.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="8" column="5" lean-forward="true" selection-start-line="8" selection-start-column="5" selection-end-line="8" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ContaSalario.java" />
    <entry file="file://$PROJECT_DIR$/src/Registrar.java" />
    <entry file="file://$PROJECT_DIR$/src/AlunoJogador.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="378">
          <caret line="35" column="8" lean-forward="true" selection-start-line="35" selection-start-column="8" selection-end-line="35" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Registrar.java" />
    <entry file="file://$PROJECT_DIR$/src/Pessoa.java" />
    <entry file="file://$PROJECT_DIR$/src/Funcionario.java" />
    <entry file="file://$PROJECT_DIR$/src/ContaSalario.java" />
    <entry file="file://$PROJECT_DIR$/src/Principal.java" />
    <entry file="jar:///usr/lib/jvm/java-8-oracle/src.zip!/java/util/ArrayList.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="212">
          <caret line="432" selection-start-line="432" selection-end-line="432" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///usr/lib/jvm/java-8-oracle/src.zip!/javax/swing/JLabel.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1525">
          <caret line="192" column="11" selection-start-line="192" selection-start-column="11" selection-end-line="192" selection-end-column="11" />
          <folding>
            <element signature="e#6096#6097#0" expanded="true" />
            <element signature="e#6137#6138#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/listaAlunos.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="72">
          <caret line="4" column="13" lean-forward="true" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/notaAlunos.txt">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/objetoAlunos.txt">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/GamificationTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="54">
          <caret line="11" selection-start-line="11" selection-end-line="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ProfName.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="54">
          <caret line="9" column="5" selection-start-line="9" selection-start-column="5" selection-end-line="9" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Gamification.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3096">
          <caret line="197" selection-start-line="197" selection-end-line="197" />
          <folding>
            <element signature="method#Gamification#0;class#Gamification#0" />
            <element signature="method#aumentaLevel#0;class#Gamification#0" />
            <element signature="method#listarAlunosJogadores#0;class#Gamification#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/PlayerInterface.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="234">
          <caret line="21" column="7" lean-forward="true" selection-start-line="21" selection-start-column="7" selection-end-line="21" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Aluno.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="36">
          <caret line="7" column="27" lean-forward="true" selection-start-line="7" selection-start-column="27" selection-end-line="7" selection-end-column="27" />
          <folding>
            <element signature="method#Aluno#0;class#Aluno#0" />
            <element signature="method#calculaMedia#0;class#Aluno#0" />
            <element signature="method#fazerCadastro#0;class#Aluno#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/FrameInterface.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="432">
          <caret line="168" column="38" selection-start-line="168" selection-start-column="38" selection-end-line="168" selection-end-column="38" />
          <folding>
            <element signature="method#FrameInterface#0;class#FrameInterface#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/AlunoJogador.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="18">
          <caret line="12" column="21" selection-start-line="12" selection-start-column="21" selection-end-line="12" selection-end-column="21" />
          <folding>
            <element signature="method#toString#0;class#AlunoJogador#0" />
            <element signature="method#update#0;class#AlunoJogador#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Professor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="612">
          <caret line="56" column="29" selection-start-line="56" selection-start-column="29" selection-end-line="56" selection-end-column="29" />
          <folding>
            <element signature="method#Professor#0;class#Professor#0" />
            <element signature="method#getInstance#0;class#Professor#0" />
            <element signature="method#toString#0;class#Professor#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/AlunoJogadorTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="24" column="26" selection-start-line="24" selection-start-column="26" selection-end-line="24" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/AlunoTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="20" column="5" selection-start-line="20" selection-start-column="5" selection-end-line="20" selection-end-column="5" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor>
            <show-content>
              <type id="artifact" />
              <type id="jpa-descriptors" />
              <type id="library" />
              <type id="javaee-facet-resources" />
            </show-content>
          </artifact-editor>
          <last-edited>TrabalhoFinal:jar</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.5" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="Copyright.UI">
        <settings>
          <last-edited>Rafael</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>TrabalhoFinal</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ScopeChooserConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>